import {
  get,
  post
} from '../../utils/http';
Page({

  /**
   * 页面的初始数据
   */
  data: {
    current: 0,
    list: [],
    total: 0,
    page: 1,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getPlanList()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if(this.data.page * 10 < this.data.total) {
      this.getPlanList(++this.data.page)
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },

  /**
   * 切换状态
  */
  onTabsChange(e) {
    let current = e.currentTarget.dataset.id
    if(current == this.data.current) {
      return;
    }
    this.setData({
      current,
      page: 1,
    },() => {
      this.getPlanList()
    })
  },

  /**
   * 获取美容计划列表
   * api/user/plan/list
  */
  getPlanList(_page) {
    let { list,current,page } = this.data;
    get('api/user/plan/list',{
      type: current,
      page: _page || page,
      limit: 10
    },(res) => {
      if(_page == 1 || page == 1) {
        list = []
        this.data.page = 1
      }
      list.push(...res.data.list)
      this.setData({ list,total:res.data.total })
    })
  },

  /**
   * 跳转到美容详情
  */
  goToBeautyPlan(e) {
    let item = e.currentTarget.dataset.item
    if(item.status == 0) {
      wx.navigateTo({
        url: `/pages/skinRecord/skinRecord?id=${item.id}&fromList=1`,
      })
    } else {
      wx.navigateTo({
        url: '/pages/beautyPlan/beautyPlan?analysis_id=' + item.id,
      })
    }
  }
})